#
# spec file for package hitori
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hitori
Version:        3.22.4
Release:        lp150.2.2
Summary:        Original puzzle of Nikoli
License:        GPL-3.0-or-later
Group:          Amusements/Games/Logic
URL:            https://live.gnome.org/Hitori
Source:         http://download.gnome.org/sources/hitori/3.22/%{name}-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(cairo) >= 1.4
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.15.0
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
Hitori is played with a grid of squares or cells, and each cell contains a number.
The objective is to eliminate numbers by filling in the squares such that remaining cells do not
contain numbers that appear more than once in either a given row or column.

Filled-in cells cannot be horizontally or vertically adjacent, although they can be diagonally
adjacent. The remaining un-filled cells must form a single component connected horizontally
and vertically.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}
%suse_update_desktop_file org.gnome.Hitori

%post
%icon_theme_cache_post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%icon_theme_cache_postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%license COPYING
%doc ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Hitori.desktop
%{_datadir}/icons/hicolor/*/apps/org.gnome.Hitori*
%{_datadir}/glib-2.0/schemas/org.gnome.hitori.gschema.xml
%dir %{_datadir}/appdata/
%{_datadir}/appdata/org.gnome.Hitori.appdata.xml

%files lang -f %{name}.lang

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Thu Oct  5 2017 zaitor@opensuse.org
- Update to version 3.22.4:
  + Updated translations.
* Fri May 12 2017 zaitor@opensuse.org
- Update to version 3.22.3:
  + Minor rendering improvements (bgo#732776).
  + Add flatpak manifests for nightly builds.
  + Drop use of deprecated GTK+ API (no dependency change).
  + Updated translations.
* Mon Mar  6 2017 zaitor@opensuse.org
- Update to version 3.22.2:
  + Add more build-time checks (this adds an optional build-time
    dependency on desktop-file-validate).
  + Updated translations.
- Add explicit desktop-file-utils BuildRequires, it is already
  pulled in for us, but since upstream now checks for it, we should
  list it.
* Tue Feb 14 2017 zaitor@opensuse.org
- Update to version 3.22.1:
  + Port from intltool to gettext (this drops the intltool
    dependency).
  + Add various build-time checks (this adds an optional build-time
    dependency on xmllint).
  + Updated translations.
- Drop intltool BuildRequires following upstreams port.
* Tue Sep 20 2016 dimstar@opensuse.org
- Update to version 3.22.0:
  + Various AppData fixes.
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Various AppData fixes.
  + Fix a GTK+ warning about styling with newer GTK+ versions.
  + Updated translations.
- Drop hitori-old-icon-name.patch: fixed upstream.
* Wed Dec 23 2015 dimstar@opensuse.org
- Update to version 3.19.1:
  + Rename icon, desktop and appdata files to use
    ‘org.gnome.Hitori’ prefix.
  + Remove dependency on gnome-common in favour of autoconf-archive
    (or m4-common).
- Add hitori-old-icon-name.patch: Fix references to old icon names.
* Tue Nov 24 2015 dimstar@opensuse.org
- Update to version 3.16.2:
  + Fix build error with Clang.
  + Updated translations.
* Sat May  2 2015 zaitor@opensuse.org
- Update to version 3.16.1:
  + Updated symbolic icon.
* Tue Apr 14 2015 zaitor@opensuse.org
- Update to version 3.16.0:
  + Port to GResource for UI and CSS.
  + Minor menu tweaks.
  + Updated translations.
* Thu Mar  5 2015 dimstar@opensuse.org
- Update to version 3.14.3:
  + Updated translations.
* Tue Dec 16 2014 zaitor@opensuse.org
- Update to version 3.14.2.1:
  + Revert string freeze break.
* Sun Dec 14 2014 badshah400@gmail.com
- Update to version 3.14.2:
  + data: Add <summary> element to the AppData file.
  + Updated translations.
* Thu Nov 13 2014 zaitor@opensuse.org
- Update to version 3.14.1:
  + Updated translations.
* Mon Sep 22 2014 dimstar@opensuse.org
- Update to version 3.14.0.1:
  + Re-release: autoreconf with up-to-date appstream-glib; fixes
    install location for hitori.appdata.xml.
* Mon Sep 22 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updated translations.
* Tue Sep 16 2014 dimstar@opensuse.org
- Update to version 3.13.92:
  + Minor UI and translation updates.
  + Minor build system updates.
  + Updated translations.
* Tue Aug 19 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Follow guidelines for including license info in help.
  + Updated translations.
* Fri Jul 25 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Updated translations.
- Add glib_schema macros, as we now install a schema.xml - file.
* Wed Jul  9 2014 zaitor@opensuse.org
- Update to version 0.4.5:
  + Minor fixes to the board rendering and timer.
- Changes from version 0.4.4:
  + Fix various small memory leaks.
  + Fix behaviour of the redo stack.
  + Updated translations.
* Sun May  4 2014 zaitor@opensuse.org
- Update to version 0.4.3:
  + Updated translations.
- Changes from version 0.4.2:
  + Add an AppData file.
  + Updated translations.
- Changes from version 0.4.1:
  + Fix timer pausing on winning a game.
  + Updated translations.
* Wed Mar  6 2013 dimstar@opensuse.org
- Initial package, version 0.4.0.
